export const tsconfigJsonTemplate = `{
    "files": [],
    "references": [
        {
            "path": "./tsconfig.ui.json"
        },
        {
            "path": "./tsconfig.backend.json"
        }
    ]
}`;
export const tsconfigUiJsonTemplate = `{
    "extends": [
        "@tsconfig/recommended/tsconfig.json",
        "@tsconfig/strictest/tsconfig.json",
        "@tsconfig/vite-react/tsconfig.json",
    ],
    "compilerOptions": {
        "esModuleInterop": true,
        "noEmit": true,
        "declaration": true,
        "declarationMap": true,
        "sourceMap": true,
        "jsx": "react-jsx",
    },
    "include": [
        "src/ui/**/*",
        "src/server/**/*",
        "src/functions/**/*",
    ],
    "exclude": [
        "dist/",
    ]
}`;
export const tsconfigBackendJsonTemplate = `{
  "compilerOptions": {
    "strict": true,
    "esModuleInterop": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "module": "ES2022",
    "moduleResolution": "Bundler"
  },
  "exclude": [
    "dist/",
    "src/ui/**/*",
    "src/server/**/*",
    "src/functions/**/*",
    "vite.config.ts",
    "tailwind.config.ts",
    "vitest.config.ts",
  ],
}`;
//# sourceMappingURL=tsconfig.json.template.js.map