import * as JSONC from "comment-json";
export declare const PACKAGE_MANAGERS: readonly ["npm", "yarn", "pnpm"];
export type PackageManager = (typeof PACKAGE_MANAGERS)[number];
export declare const isPackageManager: (value: string) => value is PackageManager;
export declare const exitWithError: (message: string) => never;
declare const PACKAGE_MANAGER_COMMANDS: {
    readonly install: {
        readonly npm: "npm install";
        readonly yarn: "yarn";
        readonly pnpm: "pnpm install";
    };
    readonly add: {
        readonly npm: "npm install";
        readonly yarn: "yarn add";
        readonly pnpm: "pnpm add";
    };
    readonly run: {
        readonly npm: "npx";
        readonly yarn: "yarn";
        readonly pnpm: "pnpm";
    };
};
export declare const getCommand: (command: keyof typeof PACKAGE_MANAGER_COMMANDS, packageManager: PackageManager, args?: string[]) => string;
export declare const getSettings: (settingsPath: string) => Promise<{
    fileExists: boolean;
    settings: JSONC.CommentJSONValue;
} | {
    fileExists: boolean;
    settings: {};
}>;
export declare const applySettings: (existingSettings: any, { denoBinary, edgeFunctionsPath, destination, }: {
    denoBinary: {
        global: boolean;
        path: string;
    };
    edgeFunctionsPath: string;
    destination: string;
}) => any;
export declare const writeSettings: ({ settings, settingsPath, }: {
    settings: any;
    settingsPath: string;
}) => Promise<void>;
export declare const promptEditorHelper: ({ destination, }: {
    destination: string;
}) => Promise<void>;
export declare const isNetlifyCLIInstalled: () => boolean;
export declare const checkConnectorBoilerplate: (hasConnectorBoilerplate: boolean) => Promise<{
    visualEditor: boolean;
    connect: boolean;
}>;
export {};
//# sourceMappingURL=utils.d.ts.map