export declare const trpcServerRouterTemplate = "import { TRPCError } from \"@trpc/server\";\nimport { procedure, router } from \"./trpc\";\nimport { teamSettingsSchema } from \"../schema/team-settings-schema\";\n\nexport const appRouter = router({\n  teamSettings: {\n    query: procedure.query(async ({ ctx: { teamId, client } }) => {\n      if (!teamId) {\n        throw new TRPCError({\n          code: \"BAD_REQUEST\",\n          message: \"teamId is required\",\n        });\n      }\n      const teamConfig = await client.getTeamConfiguration(teamId);\n      if (!teamConfig) {\n        return;\n      }\n      const result = teamSettingsSchema.safeParse(teamConfig.config);\n      if (!result.success) {\n        console.warn(\n          \"Failed to parse team settings\",\n          JSON.stringify(result.error, null, 2)\n        );\n      }\n      return result.data;\n    }),\n\n    mutate: procedure\n      .input(teamSettingsSchema)\n      .mutation(async ({ ctx: { teamId, client }, input }) => {\n        if (!teamId) {\n          throw new TRPCError({\n            code: \"BAD_REQUEST\",\n            message: \"teamId is required\",\n          });\n        }\n\n        try {\n          const existingConfig = await client.getTeamConfiguration(teamId);\n          if (!existingConfig) {\n            await client.createTeamConfiguration(teamId, input);\n          } else {\n            await client.updateTeamConfiguration(teamId, {\n              ...(existingConfig?.config || {}),\n              ...input,\n            });\n          }\n        } catch (e) {\n          throw new TRPCError({\n            code: \"INTERNAL_SERVER_ERROR\",\n            message: \"Failed to save team configuration\",\n            cause: e,\n          });\n        }\n      }),\n  },\n});\n\nexport type AppRouter = typeof appRouter;\n";
//# sourceMappingURL=router.ts.template.d.ts.map