export declare const teamConfigurationSurfaceTemplate = "import {\n  Card,\n  CardLoader,\n  CardTitle,\n  Checkbox,\n  Form,\n  FormField,\n  FormFieldSecret,\n  TeamConfigurationSurface,\n} from \"@netlify/sdk/ui/react/components\";\nimport { useNetlifySDK } from \"@netlify/sdk/ui/react\";\nimport { trpc } from \"../trpc\";\nimport { teamSettingsSchema } from \"../../schema/team-settings-schema\";\n\nexport const TeamConfiguration = () => {\n  const sdk = useNetlifySDK();\n  const trpcUtils = trpc.useUtils();\n  const teamSettingsQuery = trpc.teamSettings.query.useQuery();\n  const teamSettingsMutation = trpc.teamSettings.mutate.useMutation({\n    onSuccess: async () => {\n      await trpcUtils.teamSettings.query.invalidate();\n    },\n  });\n\n  if (teamSettingsQuery.isLoading) {\n    return <CardLoader />;\n  }\n\n  return (\n    <TeamConfigurationSurface>\n      <Card>\n        <CardTitle>Example Section for {sdk.extension.name}</CardTitle>\n        <Form\n          defaultValues={\n            teamSettingsQuery.data ?? {\n              exampleString: \"\",\n              exampleSecret: \"\",\n              exampleBoolean: false,\n              exampleNumber: 123,\n            }\n          }\n          schema={teamSettingsSchema}\n          onSubmit={teamSettingsMutation.mutateAsync}\n        >\n          <FormField\n            name=\"exampleString\"\n            type=\"text\"\n            label=\"Example String\"\n            helpText=\"This is an example string\"\n          />\n          <FormField\n            name=\"exampleNumber\"\n            type=\"number\"\n            label=\"Example Number\"\n            helpText=\"This is an example number\"\n          />\n          <FormFieldSecret\n            name=\"exampleSecret\"\n            label=\"Example Secret\"\n            helpText=\"This is an example secret\"\n          />\n          <Checkbox\n            name=\"exampleBoolean\"\n            label=\"Example Boolean\"\n            helpText=\"This is an example boolean\"\n          />\n        </Form>\n      </Card>\n    </TeamConfigurationSurface>\n  );\n};\n";
//# sourceMappingURL=TeamConfiguration.tsx.template.d.ts.map